/**************************************************************************************/
/**                                                                                \n**/
/**                  m  a  n  a  g  e  p  a  r  .  h                               \n**/
/**                                                                                \n**/
/**     country codes for management practices                                     \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#ifndef MANAGEPAR_H /* Already included? */
#define MANAGEPAR_H

/* Definition of country-codes*/
/* Definition of region-codes*/

#define    Afghanistan 0
#define    Albania    1
#define    Algeria    2
#define    American_Samoa 3
#define    Angola 4
#define    Argentina 5
#define    Armenia    6
#define    Austria    7
#define    Azerbaijan 8
#define    Bahamas_The 9
#define    Bangladesh 10
#define    Belgium    11
#define    Belize 12
#define    Benin 13
#define    Bhutan 14
#define    Bolivia    15
#define    Bosnia_and_Herzegovina 16
#define    Botswana 17
#define    Brunei 18
#define    Bulgaria 19
#define    Burkina_Faso 20
#define    Burundi    21
#define    Byelarus 22
#define    Cambodia 23
#define    Cameroon 24
#define    Cape_Verde 25
#define    Cayman_Islands 26
#define    Central_African_Republic 27
#define    Chad 28
#define    Chile 29
#define    Colombia 30
#define    Comoros    31
#define    Congo_Brazzaville 32
#define    Cook_Islands 33
#define    Costa_Rica 34
#define    Croatia    35
#define    Cuba 36
#define    Cyprus 37
#define    Czech_Republic 38
#define    Denmark    39
#define    Djibouti 40
#define    Dominican_Republic 41
#define    Ecuador    42
#define    Egypt 43
#define    El_Salvador 44
#define    Equatorial_Guinea 45
#define    Eritrea    46
#define    Estonia    47
#define    Ethiopia 48
#define    Falkland_Islands_or_Islas_Malvinas 49
#define    Faroe_Islands 50
#define    Federated_States_of_Micronesia 51
#define    Fiji 52
#define    Finland    53
#define    France 54
#define    French_Guiana 55
#define    French_Polynesia 56
#define    French_Southern_and_Antarctica_Lands 57
#define    Gabon 58
#define    Gambia_The 59
#define    Georgia    60
#define    Germany    61
#define    Ghana 62
#define    Greece 63
#define    Greenland 64
#define    Guadeloupe 65
#define    Guatemala 66
#define    Guinea 67
#define    Guinea_Bissau 68
#define    Guyana 69
#define    Haiti 70
#define    Honduras 71
#define    Hungary    72
#define    Iceland    73
#define    Indonesia 74
#define    Iran 75
#define    Iraq 76
#define    Ireland    77
#define    Israel 78
#define    Italy 79
#define    Ivory_Coast 80
#define    Jamaica    81
#define    Japan 82
#define    Jordan 83
#define    Kazakhstan 84
#define    Kenya 85
#define    Kiribati 86
#define    Kuwait 87
#define    Kyrgyzstan 88
#define    Laos 89
#define    Latvia 90
#define    Lebanon    91
#define    Lesotho    92
#define    Liberia    93
#define    Libya 94
#define    Lithuania 95
#define    Luxembourg 96
#define    Macedonia 97
#define    Madagascar 98
#define    Malawi 99
#define    Malaysia 100
#define    Maldives 101
#define    Mali 102
#define    Marshall_Islands 103
#define    Mauritania 104
#define    Mauritius 105
#define    Mexico 106
#define    Moldova    107
#define    Mongolia 108
#define    Montenegro 109
#define    Morocco    110
#define    Mozambique 111
#define    Myanmar_or_Burma 112
#define    Namibia    113
#define    Nepal 114
#define    Netherlands 115
#define    New_Caledonia 116
#define    New_Zealand 117
#define    Nicaragua 118
#define    Niger 119
#define    Nigeria    120
#define    North_Korea 121
#define    Northern_Mariana_Islands 122
#define    Norway 123
#define    Oman 124
#define    Pakistan 125
#define    Panama 126
#define    Papua_New_Guinea 127
#define    Paraguay 128
#define    Peru 129
#define    Philippines 130
#define    Pitcairn_Islands 131
#define    Poland 132
#define    Portugal 133
#define    Puerto_Rico 134
#define    Qatar 135
#define    Reunion    136
#define    Romania    137
#define    Rwanda 138
#define    Sao_Tome_and_Principe 139
#define    Saudi_Arabia 140
#define    Senegal    141
#define    Serbia 142
#define    Sierra_Leone 143
#define    Slovakia 144
#define    Slovenia 145
#define    Solomon_Islands    146
#define    Somalia    147
#define    South_Africa 148
#define    South_Georgia_and_the_South_Sandwich_Islands 149
#define    South_Korea 150
#define    Spain 151
#define    Sri_Lanka 152
#define    St_Vincent_and_the_Grenadines 153
#define    Sudan 154
#define    Suriname 155
#define    Svalbard 156
#define    Swaziland 157
#define    Sweden 158
#define    Switzerland 159
#define    Syria 160
#define    Taiwan 161
#define    Tajikistan 162
#define    Tanzania_United_Republic_of 163
#define    Thailand 164
#define    Togo 165
#define    Tokelau    166
#define    Trinidad_and_Tobago 167
#define    Tunisia    168
#define    Turkey 169
#define    Turkmenistan 170
#define    Tuvalu 171
#define    Uganda 172
#define    Ukraine    173
#define    United_Arab_Emirates 174
#define    United_Kingdom 175
#define    Uruguay    176
#define    Uzbekistan 177
#define    Vanuatu    178
#define    Venezuela 179
#define    Vietnam    180
#define    Virgin_Islands 181
#define    Wake_Islands 182
#define    West_Bank 183
#define    Western_Sahara 184
#define    Western_Samoa 185
#define    Yemen 186
#define    Zaire_DR_Congo 187
#define    Zambia 188
#define    Zimbabwe 189
        
#define    Australia 190
#define    Brazil 191
#define    Canada 192
#define    China 193
#define    India 194
#define    Russia 195
#define    United_States 196

/*Australia*/	
#define    New_South_Wales    190
#define    Northern_Territory 191
#define    Queensland 192
#define    South_Australia    193
#define    Tasmania 194
#define    Victoria 195
#define    Western_Australia 196

/*Brazil*/	
#define    Acre 197
#define    Alagoas    198
#define    Amapa 199
#define    Amazonas 200
#define    Bahia 201
#define    Ceara 202
#define    Distrito_Federal 203
#define    Espirito_Santo 204
#define    Goias 205
#define    Litigated_Zone 206
#define    Mato_Grosso_do_Sul 207
#define    Minas_Gerais 208
#define    Mato_Grosso 209
#define    Maranhao 210
#define    Paraiba    211
#define    Parana 212
#define    Para 213
#define    Piaui 214
#define    Pernambuco 215
#define    Rio_de_Janeiro 216
#define    Rio_Grande_do_Norte 217
#define    Rio_Grande_do_Sul 218
#define    Rondonia 219
#define    Roraima    220
#define    Santa_Catarina 221
#define    Sao_Paulo 222
#define    Sergipe    223
#define    Tocantins 224

/*Canada*/	
#define    Alberta    225
#define    British_Columbia 226
#define    Manitoba 227
#define    New_Brunswick 228
#define    Nova_Scotia 229
#define    Northwest_Territories 230
#define    Newfoundland 231
#define    Ontario    232
#define    Prince_Edward_Island 233
#define    Quebec 234
#define    Saskatchewan 235
#define    Yukon_Territory    236

/*China*/	
#define    Anhui_Sheng 237
#define    Beijing_Shi 238
#define    Fujian_Sheng 239
#define    Gansu_Sheng 240
#define    Guangdong_Sheng    241
#define    Guangxizhuangzu_Zizhiqu    242
#define    Guizhou_Sheng 243
#define    Hainan_Sheng 244
#define    Hebei_Sheng 245
#define    Heilongjiang_Sheng 246
#define    Henan_Sheng 247
#define    Hongkong 248
#define    Hubei_Sheng 249
#define    Hunan_Sheng 250
#define    Jiangsu_Sheng 251
#define    Jiangxi_Sheng 252
#define    Jilin_Sheng 253
#define    Liaoning_Sheng 254
#define    Neimenggu_Zizhiqu 255
#define    Ningxiahuizu_Zizhiqu 256
#define    Qinghai_Sheng 257
#define    Shaanxi_Sheng 258
#define    Shandong_Sheng 259
#define    Shanghai_Shi 260
#define    Shanxi_Sheng 261
#define    Sichuan_Sheng 262
#define    Tianjin_Shi 263
#define    Xinjiangweiwu_erzu_Zizhiqu 264
#define    Xizang_Zizhiqu 265
#define    Yunnan_Sheng 266
#define    Zhejiang_Sheng 267

/*India*/	
#define    Andaman_and_Nicobar_Islands 268
#define    Andhra_Pradesh 269
#define    Arunachal_Pradesh 270
#define    Assam 271
#define    Bihar 272
#define    Chandigarh 273
#define    Gujarat    274
#define    Haryana    275
#define    Himachal_Pradesh 276
#define    Jammu_and_Kashmir 277
#define    Karnataka 278
#define    Kerala 279
#define    Madhya_Pradesh 280
#define    Maharashtra 281
#define    Manipur    282
#define    Meghalaya 283
#define    Mizoram    284
#define    Nagaland 285
#define    Orissa 286
#define    Punjab 287
#define    Rajasthan 288
#define    Sikkim 289
#define    Tamil_Nadu 290
#define    Tripura    291
#define    Uttar_Pradesh 292
#define    West_Bengal 293

/*Russia*/	
#define    Adygea 294
#define    Aga_Buryatia 295
#define    Altay 296
#define    Amur 297
#define    Arctic_Island 298
#define    Arkhangelsk 299
#define    Astrakhan 300
#define    Bashkortostan 301
#define    Belgorod 302
#define    Bryansk    303
#define    Buryatia 304
#define    Chechnya 305
#define    Chelyabinsk 306
#define    Chita 307
#define    Chukotka 308
#define    Chuvashia_or_Chavash 309
#define    Dagestan 310
#define    Evenk 311
#define    Irkutsk    312
#define    Ivanovo    313
#define    Jewish 314
#define    Kabardino_Balkaria 315
#define    Kaliningrad 316
#define    Kalmykia_Khalmg_Tan 317
#define    Kaluga 318
#define    Kamchatka 319
#define    Karachay_Cherkessia 320
#define    Karelia    321
#define    Kemerovo 322
#define    Khabarovsk 323
#define    Khakassia 324
#define    Khant_Mansiysk 325
#define    Kirov 326
#define    Komi 327
#define    Komi_Permyak 328
#define    Koryak 329
#define    Kostroma 330
#define    Krasnodar 331
#define    Krasnoyarsk 332
#define    Kurgan 333
#define    Kursk 334
#define    Leningrad 335
#define    Lipetsk    336
#define    Magadan    337
#define    Mari_El    338
#define    Mordovia 339
#define    Moscow 340
#define    Murmansk 341
#define    Nenetsk    342
#define    Nizhniy_Novgorod 343
#define    North_Ossetia_Alani 344
#define    Novgorod 345
#define    Novosibirsk 346
#define    Omsk 347
#define    Orel 348
#define    Orenburg 349
#define    Penza 350
#define    Perm 351
#define    Primorskiy 352
#define    Pskov 353
#define    Rostov 354
#define    Ryazan 355
#define    Sakha_or_Yakutia 356
#define    Sakhalin 357
#define    Samara 358
#define    Saratov    359
#define    Smolensk 360
#define    St_Petersburg 361
#define    Stavropol 362
#define    Sverdlovsk 363
#define    Tambov 364
#define    Tatarstan 365
#define    Taymyr_or_Dolgano_Nenets 366
#define    Tomsk 367
#define    Tula 368
#define    Tver 369
#define    Tyumen 370
#define    Tyva_or_Tuva 371
#define    Udmurtia 372
#define    Ulyanovsk 373
#define    Ust_Orda_Buryat    374
#define    Vladimir 375
#define    Volgograd 376
#define    Vologda    377
#define    Voronezh 378
#define    Wrangel_Island 379
#define    Yamalo_Nenetsk 380
#define    Yaroslavl 381
#define    water 382

/*United States*/	
#define    Alabama    383
#define    Alaska 384
#define    Arizona    385
#define    Arkansas 386
#define    California 387
#define    Colorado 388
#define    Connecticut 389
#define    Delaware 390
#define    Florida    391
#define    US_Georgia 392
#define    Hawaii 393
#define    Idaho 394
#define    Illinois 395
#define    Indiana    396
#define    Iowa 397
#define    Kansas 398
#define    Kentucky 399
#define    Louisiana 400
#define    Maine 401
#define    Maryland 402
#define    Massachusetts 403
#define    Michigan 404
#define    Minnesota 405
#define    Mississippi 406
#define    Missouri 407
#define    Montana    408
#define    Nebraska 409
#define    Nevada    410
#define    New_Hampshire 411
#define    New_Jersey 412
#define    New_Mexico 413
#define    New_York 414
#define    North_Carolina 415
#define    North_Dakota 416
#define    Ohio 417
#define    Oklahoma 418
#define    Oregon    419
#define    Pennsylvania 420
#define    Rhode_Island 421
#define    South_Carolina 422
#define    South_Dakota 423
#define    Tennessee 424
#define    Texas 425
#define    Utah 426
#define    Vermont    427
#define    Virginia 428
#define    Washington 429
#define    West_Virginia 430
#define    Wisconsin 431
#define    Wyoming    432

#endif
