/**************************************************************************************/
/**                                                                                \n**/
/**             i  n  i  t  _  t  r  e  e  .  c                                    \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"
#include "tree.h"

void init_tree(Pft *pft)
{
  Pfttree *tree;
  tree=pft->data;
  pft->nleaf=0;
  pft->bm_inc.carbon=pft->wscal_mean=pft->vscal=0;
#ifdef DAILY_ESTABLISHMENT
  pft->established=FALSE;
#endif
  tree->gddtw=tree->aphen_raingreen=0;
/*  tree->leafondays=tree->leafoffdays=0;*/
} /* of 'init_tree' */
