/**************************************************************************************/
/**                                                                                \n**/
/**        f  w  r  i  t  e  c  r  o  p  d  a  t  e  s  .  c                       \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

Bool fwritecropdates(FILE *file,const Cropdates *cropdates,int ncft)
{
  return fwrite(cropdates,sizeof(Cropdates),ncft,file)!=ncft;
  /*for(i=0;i<ncft;i++)
    fwrite(&cropdates[i].fall_sdate20,sizeof(int),1,file);
  for(i=0;i<ncft;i++)
    fwrite(&cropdates[i].spring_sdate20,sizeof(int),1,file);
  for(i=0;i<ncft;i++)
    fwrite(&cropdates[i].vern_date20,sizeof(int),1,file); */
} /* of 'fwritecropdates' */
