/**************************************************************************************/
/**                                                                                \n**/
/**             r  e  a  d  c  o  u  n  t  r  y  c  o  d  e  .  c                  \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

Bool readcountrycode(FILE *file,Code *code,Bool swap)
{
  if(fread(code,sizeof(Code),1,file)!=1)
     return TRUE;
  if(swap)
  {
    code->country=swapshort(code->country);
    code->region=swapshort(code->region);
  }
  return FALSE;
} /* of *readcountrycode' */
