/**************************************************************************************/
/**                                                                                \n**/
/**                      b  a  n  n  e  r  .  c                                    \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/**     Function prints copyright notice                                           \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include <stdio.h>
#include <string.h>
#include "types.h"

void banner(const char * const *s,int n,int size)
{
  int i,len;
  repeatch('*',size);
  putchar('\n');
  for(i=0;i<n;i++)
  {
    len=strlen(s[i]);
    fputs("****",stdout);
    repeatch(' ',(size-8-len)/2);
    fputs(s[i],stdout);
    repeatch(' ',(size-8-len)/2+(len+size) %2);
    puts("****");
  }
  repeatch('*',size);
  putchar('\n');
} /* of 'banner' */
