/**************************************************************************************/
/**                                                                                \n**/
/**                     h  e  a  d  e  r  s  i  z  e  .  c                         \n**/
/**                                                                                \n**/
/**     Function gets header size                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

size_t headersize(const char *headername,int version)
{
  return sizeof(int)+((version==1) ? sizeof(Header_old) : sizeof(Header))+strlen(headername);
} /* of 'headersize' */
